<?xml version="1.0" encoding="UTF-8"?>
<!--
  Copyright 2022 GAIA-X Lab.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  		http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>

	<groupId>org.gaiax.lab</groupId>
	<artifactId>kalg</artifactId>
	<packaging>pom</packaging>
	<version>1.0.0-SNAPSHOT</version>
	<name>GAIA-X Lab :: Kalg</name>

	<modules>
		<module>services</module>
		<module>router</module>
	</modules>

	<scm>
		<connection>https://gitlab.com/gaia-x/lab/kalg</connection>
		<developerConnection>https://gitlab.com/gaia-x/lab/kalg</developerConnection>
		<url>https://gitlab.com/gaia-x/lab/kalg</url>
		<tag>HEAD</tag>
	</scm>

	<issueManagement>
		<system>gitlab</system>
		<url>https://gitlab.com/gaia-x/lab/kalg/-/issues</url>
	</issueManagement>

	<developers>
		<developer>
			<name>JB Onofre</name>
			<email>jbonofre@apache.org</email>
			<organization>Apache Software Foundation</organization>
		</developer>
	</developers>

	<properties>
		<project.build.outputTimestamp>1</project.build.outputTimestamp>

		<camel.version>3.17.0</camel.version>
		<slf4j.version>1.7.32</slf4j.version>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.apache.camel</groupId>
				<artifactId>camel-core</artifactId>
				<version>${camel.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.camel</groupId>
				<artifactId>camel-test-junit5</artifactId>
				<version>${camel.version}</version>
			</dependency>
			<dependency>
				<groupId>org.slf4j</groupId>
				<artifactId>slf4j-api</artifactId>
				<version>${slf4j.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<dependencies>
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter</artifactId>
			<version>5.8.1</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-jdk14</artifactId>
			<version>${slf4j.version}</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.9.0</version>
				<configuration>
					<source>11</source>
					<target>11</target>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
